'Compilable Example:
#Compiler PBWin 10
#Compile Exe "gbnewapp.exe"
#Include "win32api.inc"
#Resource Icon logo, "images\gbnewapp.ico"

$Ver = "1.1"

$counterfile  = "files\counter.txt"         '<-- useful to keep from overwriting previous new app files
$templatefile = "files\gbtinytemplate.bas"  '<-- content will be put in newapp file
$newappfile   = "tempfiles\gbnewapp"        '<-- file (without .bas that is sent to IDE

Function PBMain() As Long
   Local iResult As Long, temp$
   If IsFolder (Exe.Path$ + "tempfiles") = %False Then MkDir Exe.Path$ + "tempfiles"

   'get counter, increment it, save it back to file
   Open Exe.Path$ + $counterfile For Input As #1 : Line Input #1, temp$ : Close #1
   iResult = Val(temp$) : Incr iResult
   Open Exe.Path$ + $counterfile For Output As #1 : Print #1, Str$(iResult) : Close #1

   temp$ = Exe.Path$ + $newappfile + LTrim$(Str$(iResult)) + ".bas"      '<-- does not overwrite newapps

   FileCopy  Exe.Path$ + $templatefile, temp$    '<-- create new file
   iResult = ShellExecute(%HWND_Desktop, "Open", (temp$), $Nul, $Nul, %SW_ShowNormal) '<-- open new file in default app
End Function
